export const explain = {
  data() {
    return {
      innerHtml:''
    }
  },
  mounted() {
  },
  methods: {
     // 解释所需方法
    saveValue(val) {//点击输入触发,第一次为空不打印
      if (this.keepSure) {
        this.keepSure = false;
      }
      // 解决鼠标错位问题
      // this.$refs["preview"].focus();
      // document.execCommand("selectAll", false, null);
      // document.getSelection().collapseToEnd();
      this.innerhtml = val
      // this.mark.remark=val
      this.$forceUpdate()
          if(this.tableHeight){
            this.setHeight()
          }
    },
    getValue(row,name) {//失去焦点触发，row本行数据，name是传过来的row里面每一个属性
        row[name] = this.innerhtml
        this.innerhtml = ''
    },
  }
}